WMS reprojection broken in QGIS master

2012-06-20 03:48 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: Marco Hugentobler

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15304

Description

I'm testing one beside the other QGIS 1.8 and Master, and it seems that in master the WMS reprojection is broken.

Seems a consequence of the raster resampling merge.

History

#1 - 2012-06-22 07:41 AM - Marco Hugentobler

Works for me with master. If the problem persists, could you post a sample service and which CRS to use?

#2 - 2012-06-24 11:12 PM - Marco Hugentobler

- Status changed from Open to Feedback

#3 - 2012-06-25 12:02 AM - Giovanni Manghi

- File 34.png added

- File wms_18.qgs added

- File wms_master.qgs added

- File 37.png added

I just updated qgis-master and I can confirm the issue. Attached two projects one made with 1.8 and the other with master. The project made with master

also show the other issue (WMS-C suport is broken). Thanks in advance.

#4 - 2012-06-25 01:22 PM - Marco Hugentobler

- Status changed from Feedback to Closed

Fixed in master branch

Files

wms_18.qgs 12.3 KB 2012-06-24 Giovanni Manghi

wms_master.qgs 8.1 KB 2012-06-24 Giovanni Manghi

34.png 950 KB 2012-06-24 Giovanni Manghi

37.png 245 KB 2012-06-24 Giovanni Manghi
